org.bouncycastle.openpgp

## Class PGPOnePassSignature

- java.lang.Object
- - org.bouncycastle.openpgp.PGPOnePassSignature

    public class PGPOnePassSignature
    extends java.lang.Object

A one pass signature object.

### Method Summary

Methods
`void` `encode(java.io.OutputStream outStream)`
`byte[]` `getEncoded()`
`int` `getHashAlgorithm()`
`int` `getKeyAlgorithm()`
`long` `getKeyID()`
`int` `getSignatureType()`
`void` `initVerify(PGPPublicKey pubKey, java.security.Provider provider)` Initialise the signature object for verification.
`void` `initVerify(PGPPublicKey pubKey, java.lang.String provider)` Initialise the signature object for verification.
`void` `update(byte b)`
`void` `update(byte[] bytes)`
`void` `update(byte[] bytes, int off, int length)`
`boolean` `verify(PGPSignature pgpSig)` Verify the calculated signature against the passed in PGPSignature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initVerify

    public void initVerify(PGPPublicKey pubKey,
                  java.lang.String provider)
                    throws java.security.NoSuchProviderException,
                           PGPException

Initialise the signature object for verification.

Parameters:
  `pubKey` -
  `provider` -
Throws:
  `java.security.NoSuchProviderException`
  `PGPException`

#### initVerify

    public void initVerify(PGPPublicKey pubKey,
                  java.security.Provider provider)
                    throws PGPException

Initialise the signature object for verification.

Parameters:
  `pubKey` -
  `provider` -
Throws:
  `PGPException`

#### update

    public void update(byte b)
                throws java.security.SignatureException

Throws:
  `java.security.SignatureException`

#### update

    public void update(byte[] bytes)
                throws java.security.SignatureException

Throws:
  `java.security.SignatureException`

#### update

    public void update(byte[] bytes,
              int off,
              int length)
                throws java.security.SignatureException

Throws:
  `java.security.SignatureException`

#### verify

    public boolean verify(PGPSignature pgpSig)
                   throws PGPException,
                          java.security.SignatureException

Verify the calculated signature against the passed in PGPSignature.

Parameters:
  `pgpSig` -
Returns:
  boolean
Throws:
  `PGPException`
  `java.security.SignatureException`

#### getKeyID

    public long getKeyID()

#### getSignatureType

    public int getSignatureType()

#### getHashAlgorithm

    public int getHashAlgorithm()

#### getKeyAlgorithm

    public int getKeyAlgorithm()

#### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### encode

    public void encode(java.io.OutputStream outStream)
                throws java.io.IOException

Throws:
  `java.io.IOException`